Name:          verdict
Version:       1.4.2
Release:       1mamba
Summary:       Compute quality functions of 2 and 3-dimensional regions
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/sandialabs/verdict
Source:        https://github.com/sandialabs/verdict.git/%{version}/verdict-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Compute quality functions of 2 and 3-dimensional regions.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Compute quality functions of 2 and 3-dimensional regions

%description -n lib%{name}
Compute quality functions of 2 and 3-dimensional regions.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libverdict.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/verdict.h
%{_includedir}/verdict_config.h
%{_libdir}/libverdict.so
%dir %{_libdir}/cmake/verdict
%{_libdir}/cmake/verdict/Verdict*.cmake
%{_docdir}/verdict/verdict/1.4.2/README.md
%doc README.md

%changelog
* Sat May 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.2-1mamba
- package created using the webbuild interface
